package com.madeu.service.web.webuser;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

public interface WebUserService {
    public HashMap<String, Object> selectListUserIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUser(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUserOption(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUserMarketing(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUserMarketingPush(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectListUserExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateUserIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUser(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateUser(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateUser2(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertUser(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUserSearch(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUserPhysicalIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertPhysical(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUserPhysicalList(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectUserPhysicalListExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUserPhysical(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateUserPhysical(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertUserPhysicalInbodyApi(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUserAgreementIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertUserAgreement(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> selectUserAgreementList(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectUserAgreementListExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUserAgreement(HashMap<String, Object> paramMap) throws Exception;
}
